# Class CalendarTask

java.lang.Object
com.codename1.calendar.CalendarTask

public class CalendarTask extends Object
A task/reminder in a task collection.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CalendarTask()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CalendarTask`
  `addAlarm(CalendarAlarm v)`
  `CalendarTask`
  `addAttachment(CalendarAttachment v)`
  `CalendarTask`
  `clearAlarms()`
  `CalendarTask`
  `clearAttachments()`
  `CalendarTask`
  `clearProviderData()`
  `List<CalendarAlarm>`
  `getAlarms()`
  `List<CalendarAttachment>`
  `getAttachments()`
  `String`
  `getCalendarId()`
  `Instant`
  `getCompletionTime()`
  `String`
  `getDescription()`
  `CalendarDateTime`
  `getDue()`
  `String`
  `getId()`
  `String`
  `getLocation()`
  `int`
  `getPriority()`
  `Map<String,String>`
  `getProviderData()`
  `CalendarRecurrenceRule`
  `getRecurrence()`
  `String`
  `getSourceId()`
  `CalendarDateTime`
  `getStart()`
  `String`
  `getTitle()`
  `String`
  `getVersion()`
  `boolean`
  `isCompleted()`
  `CalendarTask`
  `putProviderData(String k, String v)`
  `CalendarTask`
  `removeAlarm(CalendarAlarm v)`
  `CalendarTask`
  `removeAttachment(CalendarAttachment v)`
  `CalendarTask`
  `removeProviderData(String key)`
  `CalendarTask`
  `setCalendarId(String v)`
  `CalendarTask`
  `setCompleted(boolean v)`
  `CalendarTask`
  `setCompletionTime(Instant v)`
  `CalendarTask`
  `setDescription(String v)`
  `CalendarTask`
  `setDue(CalendarDateTime v)`
  `CalendarTask`
  `setId(String v)`
  `CalendarTask`
  `setLocation(String v)`
  `CalendarTask`
  `setPriority(int v)`
  `CalendarTask`
  `setRecurrence(CalendarRecurrenceRule v)`
  `CalendarTask`
  `setSourceId(String v)`
  `CalendarTask`
  `setStart(CalendarDateTime v)`
  `CalendarTask`
  `setTitle(String v)`
  `CalendarTask`
  `setVersion(String v)`

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CalendarTask

    public CalendarTask()

- ## Method Details

  - ### getId

    public String getId()

  - ### setId

    public CalendarTask setId(String v)

  - ### getCalendarId

    public String getCalendarId()

  - ### setCalendarId

    public CalendarTask setCalendarId(String v)

  - ### getSourceId

    public String getSourceId()

  - ### setSourceId

    public CalendarTask setSourceId(String v)

  - ### getVersion

    public String getVersion()

  - ### setVersion

    public CalendarTask setVersion(String v)

  - ### getTitle

    public String getTitle()

  - ### setTitle

    public CalendarTask setTitle(String v)

  - ### getDescription

    public String getDescription()

  - ### setDescription

    public CalendarTask setDescription(String v)

  - ### getLocation

    public String getLocation()

  - ### setLocation

    public CalendarTask setLocation(String v)

  - ### getStart

    public CalendarDateTime getStart()

  - ### setStart

    public CalendarTask setStart(CalendarDateTime v)

  - ### getDue

    public CalendarDateTime getDue()

  - ### setDue

    public CalendarTask setDue(CalendarDateTime v)

  - ### getRecurrence

    public CalendarRecurrenceRule getRecurrence()

  - ### setRecurrence

    public CalendarTask setRecurrence(CalendarRecurrenceRule v)

  - ### isCompleted

    public boolean isCompleted()

  - ### setCompleted

    public CalendarTask setCompleted(boolean v)

  - ### getCompletionTime

    public Instant getCompletionTime()

  - ### setCompletionTime

    public CalendarTask setCompletionTime(Instant v)

  - ### getPriority

    public int getPriority()

  - ### setPriority

    public CalendarTask setPriority(int v)

  - ### addAlarm

    public CalendarTask addAlarm(CalendarAlarm v)

  - ### getAlarms

    public List<CalendarAlarm> getAlarms()

  - ### removeAlarm

    public CalendarTask removeAlarm(CalendarAlarm v)

  - ### clearAlarms

    public CalendarTask clearAlarms()

  - ### addAttachment

    public CalendarTask addAttachment(CalendarAttachment v)

  - ### getAttachments

    public List<CalendarAttachment> getAttachments()

  - ### removeAttachment

    public CalendarTask removeAttachment(CalendarAttachment v)

  - ### clearAttachments

    public CalendarTask clearAttachments()

  - ### putProviderData

    public CalendarTask putProviderData(String k, String v)

  - ### getProviderData

    public Map<String,String> getProviderData()

  - ### removeProviderData

    public CalendarTask removeProviderData(String key)

  - ### clearProviderData

    public CalendarTask clearProviderData()